SystemOrganization addCategory: #ConfigurationOfKEGGeneratorBase!

Object subclass: #ConfigurationOfKEGGeneratorBase
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfKEGGeneratorBase'!

!ConfigurationOfKEGGeneratorBase class methodsFor: 'development support' stamp: 'KjellGodo 10/28/2012 21:29'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'private' stamp: 'KjellGodo 10/28/2012 21:29'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'private' stamp: 'KjellGodo 10/28/2012 21:29'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'private' stamp: 'KjellGodo 10/28/2012 21:29'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'metacello tool support' stamp: 'KjellGodo 10/28/2012 21:29'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'loading' stamp: 'KjellGodo 10/28/2012 21:29'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'loading' stamp: 'KjellGodo 10/28/2012 21:29'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'loading' stamp: 'KjellGodo 10/28/2012 21:29'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'accessing' stamp: 'KjellGodo 10/28/2012 21:29'!
project

	^self new project! !

!ConfigurationOfKEGGeneratorBase class methodsFor: 'development support' stamp: 'KjellGodo 10/28/2012 21:29'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfKEGGeneratorBase methodsFor: 'as yet unclassified' stamp: 'KjellGodo 4/28/2013 10:51'!
baseline01: spec
	<version: '0.1-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/KEGGenerators'.
		( spec project: 'KEGGeneratorBaseProject' with:[ 
				spec
					className: 'ConfigurationOfKEGGeneratorBase' ;
					versionString: #'baseLine' ;
					repository: 'http://ss3.gemstone.com/ss/KEGGenerators' ] ).
		spec
			package: 'KEGGeneratorBase' with: [
				spec requires: #( 'KEGPreModuleBase' 'KEGParameter' 'KEGUtilityStuff' 'KEGStreamUtilityStuff' ) ;
					includes: #( 'KEGGeneratorPost001FakeNew' ) ];
			package: 'KEGGeneratorBaseTest' with: [
				spec requires: #( 'KEGGeneratorBase' 'KEGUtilityStuffTest' ) ];
			package: 'KEGUtilityStuffTest' with: [
				spec requires: #( 'KEGSystemTestClasses' 'KEGUtilityStuff' ) ];
			"<-------------------------------------------------------------------------------------------------[  ]"
			package: 'KEGGeneratorBase' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGGenerators' ];
			package: 'KEGGeneratorBaseTest' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGGenerators' ];
			package: 'KEGPreModuleBase' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGPreModuleBase' ];
			package: 'KEGParameter' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGParameter' ];
			package: 'KEGUtilityStuff' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGUtilityStuff' ]; 
			package: 'KEGUtilityStuffTest' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGUtilityStuff' ]; 
			package: 'KEGStreamUtilityStuff' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGUtilityStuff' ]; 
			package: 'KEGSystemTestClasses' with:[ spec repository: 'http://ss3.gemstone.com/ss/KEGUtilityStuff' ]; 
			package: 'KEGGeneratorPost001FakeNew' with:[ 
				spec repository: 'http://ss3.gemstone.com/ss/KEGGenerators' ] .
		spec
			group: 'default' with: #('KEGGeneratorBase' );
			group: 'Core' with: #('KEGGeneratorBase');
			group: 'Tests' with: #('KEGGeneratorBaseTest');
			group: 'CompleteWithoutTests' with: #('Core');
			group: 'CompleteWithTests' with: #('CompleteWithoutTests' 'Tests') ].
		! !

!ConfigurationOfKEGGeneratorBase methodsFor: 'accessing' stamp: 'KjellGodo 10/28/2012 21:29'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfKEGGeneratorBase methodsFor: 'as yet unclassified' stamp: 'KjellGodo 4/27/2013 20:40'!
version01: spec 
	<version: '0.1' imports: #('0.1-baseline')>
	
	spec for: #common do: [
		spec 
			package: 'KEGGeneratorBase' with: 'KEGGeneratorBase-KjellGodo.9' ;
			package: 'KEGGeneratorBaseTest' with: 'KEGGeneratorBaseTest-KjellGodo.6' ;
			package: 'KEGGeneratorPost001FakeNew' with: 'KEGGeneratorPost001FakeNew-KjellGodo.4' ;
			package: 'KEGGeneratorPost001FakeNewTest' with: 'KEGGeneratorPost001FakeNewTest-KjellGodo.2' ;
			package: 'KEGPreModuleBase' with: 'KEGPreModuleBase-KjellGodo.1' ;
			package: 'KEGParameter' with: 'KEGParameter-KjellGodo.3' ;
			package: 'KEGUtilityStuff' with: 'KEGUtilityStuff-KjellGodo.8' ;
			package: 'KEGStreamUtilityStuff' with: 'KEGStreamUtilityStuff-KjellGodo.2' ;
			package: 'KEGUtilityStuffTest' with: 'KEGUtilityStuffTest-KjellGodo.3' ;
			package: 'KEGSystemTestClasses' with: 'KEGSystemTestClasses-KjellGodo.2' ].

! !
